cd "C:\Users\Remi\Desktop\Replication Files Jedwab & Vollrath 2018\Figure 3"

**************
***FIGURE 3***
**************

use demography, clear

* Knowing the crude rates of birth and death, we obtain the crude rate of natural increase:
gen ni_city = birth_city-death_city
gen ni_otcity = birth_otcity-death_otcity
gen ni_urban = birth_urban-death_urban
gen ni_rural = birth_rural-death_rural
gen ni_total = birth_total-death_total
label var ni_city "Crude rate of natural increase of the city"
label var ni_otcity "Crude rate of natural increase of the other cities"
label var ni_urban "Crude rate of natural increase of the urban areas"
label var ni_rural "Crude rate of natural increase of the countryside"
label var ni_total "Crude rate of natural increase of the country"

* We focus on 6 periods: pre-1800s, 1820s-1850s, 1880s, 1900s, 1960s, 2000s. We create a variable that shows the period. 
gen sample4 = sample
replace sample4 = "1. Pre-1800s" if sample == "1700s" | sample == "1750s" | sample == "17C" | sample == "6C" | sample == "Antiquity" | sample == "1800s"
replace sample4 = "2. Half19C" if sample == "1820s" | sample == "1850s" | sample == "19C"
replace sample4 = "3. 1880s" if sample == "1880s" 
replace sample4 = "4. 1900s" if sample == "1900s" 
replace sample4 = "5. 1960s" if sample == "1960s" 
replace sample4 = "6. 2000s" if sample == "2000s" 
tab sample4, m

* For each period, we obtain the average crude rates of birth, death and natural increase.
bysort sample4: sum birth_city death_city ni_city

* We now create the figures for Figure 3:

* A. Pre-1800s
twoway (line birth_city death_city if sample4 == "degline", lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter birth_city death_city if sample4 == "1. Pre-1800s", mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium) mlabel(city) mlabcolor(black) mlabsize(small)), ylabel(0(10)60) ytitle(., size(zero)) xlabel(0(10)50) xtitle(., size(zero)) legend(off) graphregion(margin(zero) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, size(medsmall) color(black) margin(small)) xtitle(Crude Death Rate (Per 1,000 People)) xtitle(, size(medsmall) color(black) margin(small))
graph use "figure3a.gph"
* We modify the graph manually and export it.
graph export figure3a.png, replace width(2620) height(1908)

* B. 1820s-1850s
twoway (line birth_city death_city if sample4 == "degline", lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter birth_city death_city if sample4 == "2. Half19C", mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium) mlabel(city) mlabcolor(black) mlabsize(small)), ylabel(0(10)60) ytitle(., size(zero)) xlabel(0(10)50) xtitle(., size(zero)) legend(off) graphregion(margin(zero) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, size(medsmall) color(black) margin(small)) xtitle(Crude Death Rate (Per 1,000 People)) xtitle(, size(medsmall) color(black) margin(small))
graph use "figure3b.gph"
* We modify the graph manually and export it.
graph export figure3b.png, replace width(2620) height(1908)

* C. 1880s
twoway (line birth_city death_city if sample4 == "degline", lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter birth_city death_city if sample4 == "3. 1880s", mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium) mlabel(city) mlabcolor(black) mlabsize(small)), ylabel(0(10)60) ytitle(., size(zero)) xlabel(0(10)50) xtitle(., size(zero)) legend(off) graphregion(margin(zero) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, size(medsmall) color(black) margin(small)) xtitle(Crude Death Rate (Per 1,000 People)) xtitle(, size(medsmall) color(black) margin(small))
graph use "figure3c.gph"
* We modify the graph manually and export it.
graph export figure3c.png, replace width(2620) height(1908)

* D. 1900s
twoway (line birth_city death_city if sample4 == "degline", lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter birth_city death_city if sample4 == "4. 1900s", mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium) mlabel(city) mlabcolor(black) mlabsize(small)), ylabel(0(10)60) ytitle(., size(zero)) xlabel(0(10)50) xtitle(., size(zero)) legend(off) graphregion(margin(zero) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, size(medsmall) color(black) margin(small)) xtitle(Crude Death Rate (Per 1,000 People)) xtitle(, size(medsmall) color(black) margin(small)) 
graph use "figure3d.gph"
* We modify the graph manually and export it.
graph export figure3d.png, replace width(2620) height(1908)

* E. 1960s
twoway (line birth_city death_city if sample4 == "degline", lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter birth_city death_city if sample4 == "5. 1960s", mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium) mlabel(city) mlabcolor(black) mlabsize(small)), ylabel(0(10)60) ytitle(., size(zero)) xlabel(0(10)50) xtitle(., size(zero)) legend(off) graphregion(margin(zero) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, size(medsmall) color(black) margin(small)) xtitle(Crude Death Rate (Per 1,000 People)) xtitle(, size(medsmall) color(black) margin(small)) 
graph use "figure3e.gph"
* We modify the graph manually and export it.
graph export figure3e.png, replace width(2620) height(1908)

* F. 2000s
twoway (line birth_city death_city if sample4 == "degline", lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter birth_city death_city if sample4 == "6. 2000s", mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium) mlabel(city) mlabcolor(black) mlabsize(small)), ylabel(0(10)60) ytitle(., size(zero)) xlabel(0(10)50) xtitle(., size(zero)) legend(off) graphregion(margin(zero) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white)) ytitle(Crude Birth Rate (Per 1,000 People)) ytitle(, size(medsmall) color(black) margin(small)) xtitle(Crude Death Rate (Per 1,000 People)) xtitle(, size(medsmall) color(black) margin(small)) 
graph use "figure3f.gph"
* We modify the graph manually and export it.
graph export figure3f.png, replace width(2620) height(1908)

































