cd "C:\Users\Remi\Desktop\Replication Files Jedwab & Vollrath 2018\Figure 5\Figure 5g"

***************
***FIGURE 5g***
***************

* We use information on the crude rate of natural increase in the 1960s.
use demography, clear
keep if sample == "1960s" | sample == "2000s"
* We modify the name of the cities to match the data set on city educational attainment.
replace city = "Addis Ababa" if city == "Addis Ababa"
replace city = "Ahmadabad" if city == "Ahmedabad"
replace city = "Hong Kong" if city == "Hong kong "
replace city = "Khartoum" if city == "Khartoum"
replace city = "Mumbai" if city == "Mumbai"
replace city = "Yangon" if city == "Rangoon"
replace city = "Washington" if city == "Washington DC"
replace city = "Zhengzhou" if city == "Zhengzhou / Henan"
* We will use the crude rate of natural increase of the urban areas. 
gen ni_city = birth_city-death_city
label var ni_city "Crude rate of natural increase of the megacities"
keep city sample ni_city
ren ni_city ni_city_
reshape wide ni_city, i(city) j(sample) string
sort city
save demography1960s2000s, replace
count

* We merge with the data on educational attainment:
import excel "educ_attainment.xls", sheet("summary") firstrow clear
sort city
merge city using demography1960s2000s
tab _m
tab city if _m == 1
drop if _m == 2
drop _m

* Figure 5g
reg univcomp ni_city_1960s, robust
twoway (lfit univcomp ni_city_1960s, lcolor(gs6) lwidth(medthick) lpattern(dash))(scatter univcomp ni_city_1960s, mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium)), ytitle(City Tert. Compl. Rate (% of 25+ y.o.) in the 2000s) xtitle(City Crude Rate of Natural Increase (%) in the 1960s) xlabel(10(10)30) ytitle(, margin(small)) xtitle(, margin(small)) legend(off) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We manually modify it and then export it. 
graph use "figure5e.gph"
graph export figure5g.png, replace width(2620) height(1908)
