cd "C:\Users\Remi\Desktop\Replication Files Jedwab & Vollrath 2018\Figure 5\figure 5e 5h"

*********************************************
* CITY LIVING STANDARDS AND POPULATION 2010 *
*********************************************

* As a measure of city living standards circa 2010, we use available data on city productivity in 1998-2012.
* One of the indexes measures infrastructure quality.

*** CITY DEVELOPMENT INDEX 1998 (cdi98) ***

* We first use the city development index of 1998.
* Source: United Nations Habitat. 1998. Global Urban Indicators Database. Nairobi, Kenya: UN-Habitat.
* Data is available for 161 cities. 
clear
import excel "cdi_100_cities.xls", sheet("summary") firstrow
count
* 161
replace city = "Manila" if city == "Mandaluyong"
ren cdi cdi98
ren infra infra98
keep country city cdi98 infra98
sort city
save cdi98, replace

*** CITY PROSPERITY INDEX 2012 (cpi12) ***

* We then use the city prosperity index of 2012.
* Source: United Nations Habitat. 2012. State of the World's Cities Report 2012/2013: Prosperity of Cities. Nairobi, Kenya: UN-Habitat
* There are two versions, cpi4 and cpi5. cpi5 includes a measure of equity. cpi4 is thus more equivalent to the city development index of 1998. We thus use cpi4.
* One of the indexes measures infrastructure quality.
clear
import excel "cpi_cities.xls", sheet("Feuil1") firstrow clear
keep country city cpi4 infra
ren infra infra12
ren cpi4 cpi12
sort city
save cpi12, replace

*** WE MERGE THE TWO ***

use cpi12, clear
sort city
merge city using cdi98
tab _m
drop _m
sort city
replace cdi98 = cdi98/100
sum cdi98 cpi12, d
* 161 obs for cdi98: from 0.217 to 0.980
* 69 obs for cpi12: from 0.285 to 0.936
* For each measure, we use the maximal value to create an index from 0 to 1:
replace cdi98 = cdi98 / 0.98
replace cpi12 = cpi12 / 0.936
sum cdi98 cpi12, d
corr cdi98 cpi12
* We use cpi12 as the main measure and replace it by cdi98 when it is missing: 
gen cdi98cpi12 = cpi12
replace cdi98cpi12 = cdi98 if cpi12 == .
codebook cdi98cpi12
* It is now available for 204 observations.
* Similarly, we create the infrastructure index. 
sum infra98 infra12, d
replace infra98 = infra98/100
sum infra98 infra12, d
replace infra98 = infra98 / 0.998
replace infra12 = infra12 / 0.997
gen infra98infra12 = infra12
replace infra98infra12 = infra98 if infra12 == .
keep city cdi98cpi12 infra98infra12
label var cdi98cpi12 "City development index 1998-2012"
label var infra98infra12 "City infrastructure index 1998-2012"
sort city
save cdi98cpi12, replace

use cdi98cpi12, clear
* We change the name of a few cities
replace city = "Yaounde" if city == "Yaoundé"
replace city = "Sao Paulo" if city == "São Paulo"
replace city = "Hanoi" if city == "Hà Noi"
replace city = "Dhaka" if city == "Dacca"
sort city
save cdi98cpi12, replace

*** WE ADD THE DEMOGRAPHIC DATA ***

use demography, clear
keep if sample == "1960s" | sample == "2000s"
* We modify the name of the cities to match the data set on city dependency ratios.
* We will use the crude rate of natural increase of the urban areas. 
gen ni_city = birth_city-death_city
label var ni_city "Crude rate of natural increase of the megacities"
keep city sample ni_city
ren ni_city ni_city_
reshape wide ni_city, i(city) j(sample) string
sort city
save demography1960s2000s, replace
count

use demography1960s2000s, clear
replace city = "Hong Kong" if city == "Hong kong "
sort city 
merge city using cdi98cpi12
tab _m
keep if _m == 3

* NEW FIGURE 5E *
reg infra98infra12 ni_city_1960s, robust
twoway (lfit infra98infra12 ni_city_1960s, lcolor(black) lwidth(medthick) lpattern(dash))(scatter infra98infra12 ni_city_1960s, mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium)), ytitle(City Infrastructure Index (1 = Best) ca 2005) ytitle(, margin(small)) xtitle(Megacity Crude Rate of Natural Increase (Per 1,000 People) in the 1960s) xtitle(, margin(small)) xlabel(10(10)30) ylabel(0.5(0.1)1) legend(off) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
graph use "figure5e.gph"
graph export figure5e.png, replace width(2620) height(1908)

* NEW FIGURE 5H *
reg cdi98cpi12 ni_city_1960s, robust
twoway (lfit cdi98cpi12 ni_city_1960s, lcolor(black) lwidth(medthick) lpattern(dash))(scatter cdi98cpi12 ni_city_1960s, mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium)), ytitle(Development Index of Megacity (1 = Best) ca 2005) ytitle(, margin(small)) xtitle(Crude Rate of Natural Increase of Megacity (Per 1,000 People) in the 1960s) xtitle(, margin(small)) xlabel(10(10)30) legend(off) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
graph use "figure5h.gph"
graph export figure5h.png, replace width(2620) height(1908)

