cd "C:\Users\Remi\Desktop\Replication Files Jedwab & Vollrath 2018\Figure 5\Figure 5c"

***************
***FIGURE 5c***
***************

* We use our demographic data set to obtain the crude rate of natural increase in the 1960s.
use demography, clear
keep if sample == "1960s" | sample == "2000s"
* We modify the name of the cities to match the data set on city density.
replace city = "Addis Ababa" if city == "Addis Ababa"
replace city = "Ahmadabad" if city == "Ahmedabad"
replace city = "Hong Kong" if city == "Hong kong "
replace city = "Khartoum" if city == "Khartoum"
replace city = "Mumbai" if city == "Mumbai"
replace city = "Yangon" if city == "Rangoon"
replace city = "Washington" if city == "Washington DC"
replace city = "Zhengzhou" if city == "Zhengzhou / Henan"
* We will use the crude rate of natural increase of the urban areas. 
gen ni_city = birth_city-death_city
label var ni_city "Crude rate of natural increase of the megacities"
keep city sample ni_city
ren ni_city ni_city_
reshape wide ni_city, i(city) j(sample) string
sort city
save demography1960s2000s, replace
count

* We merge with the density data:
use city_density, clear
sort city
merge city using demography1960s2000s
tab _m
drop if _m == 2
drop _m
gen ldensity_sqkm = log(density_sqkm)

reg ldensity_sqkm ni_city_1960s, robust
twoway (lfit ldensity_sqkm ni_city_1960s, lcolor(black) lwidth(medthick) lpattern(dash))(scatter ldensity_sqkm ni_city_1960s, mcolor(gs14) msize(large) msymbol(circle) mlcolor(black) mlwidth(medium)), ytitle(Log City Pop. Density (per Sq Km) ca 2010) ytitle(, margin(small)) xtitle(City Crude Rate of Natural Increase (Per 1,000 People) in the 1960s) xtitle(, margin(small)) xlabel(10(10)30) legend(off) graphregion(margin(small) fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
* We modify manually the graph and then export it. 
graph use "figure5c.gph"
graph export figure5c.png, replace width(2620) height(1908)
